db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rick Hillegas (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (DERBY-6213) Deprecate support for Java 5 and CDC
Date Mon, 06 May 2013 18:08:16 GMT

     [ https://issues.apache.org/jira/browse/DERBY-6213?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Rick Hillegas updated DERBY-6213:
---------------------------------

    Attachment: derby-6213-01-aa-collapsePublishedAPI.diff

Attaching derby-6213-01-aa-collapsePublishedAPI.diff. This patch removes the JDBC4 public
javadoc. This makes the following changes to address task (III):

1) Adjusts the top level build script to produce one version of the public api and removes
the separate jdbc3 and jdbc4 forks.

2) Adds the CP2 DataSources to the single version of the public api.

3) Adjusts the top level index.html to link to the single version of the public api. This
index.html is the landing page included in release distributions.

I have verified that the javadoc generates correctly. Note that we will need to rewrite the
javadoc headers for the DataSource implementations once we collapse the JDBC4 methods into
the JDBC3 implementations. I have also generated a dummy release and verified that the landing
page links correctly to the single version of the public api.

When we commit this patch, we'll need to adjust the Documentation tab on the Derby website
so that the alpha version of the public api links to the single version rather than separate
jdbc3 and jdbc4 forks.

If this patch is committed, then the alpha public api will not describe the current state
of the trunk. That is because the DataSources themselves have not been collapsed yet and their
javadoc headers haven't been rewritten.

I think it's safe to commit these changes despite this discrepancy between the actual state
of the trunk and what the Documentation tab would say. However, I'll hold off to give people
an opportunity to object.


Touches the following files:

----------------

M       build.xml

(1)

----------------

D       tools/javadoc/publishedapi_jdbc3.ant
D       tools/javadoc/publishedapi_jdbc4.ant
A       tools/javadoc/publishedapi_jdbc.ant

(2)

----------------

M       index.html

(3)

                
> Deprecate support for Java 5 and CDC
> ------------------------------------
>
>                 Key: DERBY-6213
>                 URL: https://issues.apache.org/jira/browse/DERBY-6213
>             Project: Derby
>          Issue Type: Improvement
>          Components: Build tools, Documentation, Javadoc
>    Affects Versions: 10.11.0.0
>            Reporter: Rick Hillegas
>         Attachments: derby-6213-01-aa-collapsePublishedAPI.diff
>
>
> The developer community has approved the proposal to sunset support for Java 5 and CDC:
http://apache-database.10148.n7.nabble.com/VOTE-Sunsetting-support-for-Java-5-and-CDC-td129832.html#a129925
> This issue tracks a number of tasks needed to implement this proposal:
> I) Remove build support for Java 5 and CDC.
> II) Purge user doc references to Java 5, CDC, and the JDBC 4 DataSources.
> III) Remove the JDBC 4 version of the public api from the published javadoc. The recently
introduced CP2 DataSources would need to migrate to the JDBC 3 version of the published javadoc.
The JDBC 4 versions of the DataSources would still exist, but they would be vacuous extensions
of their JDBC 3 counterparts.
> IV) On the wiki, document our expectation that maintenance releases will support the
same platforms as the original feature release cut from their branch.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message